.. AUTO-GENERATED FILE. DO NOT EDIT. /store-orders-delete-one ======================== Summary ------- - **Source repository:** ``jef-systems/jef-store-backend`` - **Source SHA:** ``8aeea2418405bc456b822b328ee67dbf6f3df16c`` - **Source run id:** ``25872690726`` - **Lambda function:** ``jef-store-orders-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/store-orders-delete-one`` - **Endpoint URL:** ``https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-store-orders-delete-one - ``Module``: jef-store - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /store-orders-delete-one - ``Table``: jef-store-orders - ``Primary Key``: order\_number API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``order\_number``: 86b39313-ba69-445c-a1f3-44934db7442b Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.order_number.type", "value": "S" }, { "key": "root.attributes.order_number.required", "value": "True" }, { "key": "root.attributes.order_number.format", "value": "uuidv4" }, { "key": "root.attributes.order_number.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "order_number", "value": "86b39313-ba69-445c-a1f3-44934db7442b" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"order_number\": \"86b39313-ba69-445c-a1f3-44934db7442b\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"order_number": "86b39313-ba69-445c-a1f3-44934db7442b"}'